/*
 * Dateiverwaltung: Kopieren einer Datei
 * setbuf()
 * gets(), fgets(), fputs(), fread(), fwrite()
 */

# include <stdio.h>

# define MAX 512

int main()
{
  FILE *d1, *d2;
  char dat_name[ 64], buf[ MAX];

  printf( "von Datei:\n");
              /* Einlesen des Dateinamens als String */
  gets( dat_name);

  if(( d1 = fopen( dat_name, "r")) == NULL)
  {
    printf( "FEHLER: ");
    printf( "Datei %s konnte nicht eroeffnet werden\n",
            dat_name);
    return 1;
  }

  printf( "nach Datei:\n");
              /* Einlesen des Dateinamens als String */
  gets( dat_name);
  if (( d2 = fopen( dat_name, "w")) == NULL)
  {
    printf( "FEHLER: ");
    printf( "Datei %s konnte nicht eroeffnet werden\n",
            dat_name);
    return 1;
  }

  setbuf( d1, NULL);        /* ungepufferter Zugriff */
  setbuf( d2, NULL);
                    /* Die erste Zeile wird kopiert. */
  fgets( buf, MAX, d1);       /* Zugriff ber string */
  fputs( buf, d2);
             /* Zwei weitere Zeichen werden kopiert. */
  fread( buf, 2, sizeof( char), d1);
  fwrite( buf, 2, sizeof( char), d2);

  fclose( d1);
  fclose( d2);

  return 0;
}
