/*
 * Implementation zum Header matrix.c:
 * Zugriff auf Matrizen ueber Zeiger auf Zeiger.
 */

# include <stdlib.h>
# include "matrix.h"

double **initMatrix
  ( unsigned int zeilenZahl, unsigned int spaltenZahl)
{
  double **matrix, *p; int i;

            /* Zeiger auf Feld von Zeigern ( Zeilen )*/
  matrix = ( double **) malloc
                      ( sizeof( double*) * zeilenZahl);

                               /* Zeiger auf Matrix, */
           /*zeilenweise hintereinander abgespeichert*/
  matrix[ 0] = ( double *) malloc
         ( sizeof( double) * zeilenZahl * spaltenZahl);

                               /* Zeiger auf 2.Zeile */
  p = matrix[0] + spaltenZahl;
                /* Eintrag der Zeiger auf die Zeilen */
  for( i = 1; i < zeilenZahl; i++, p += spaltenZahl)
    matrix[ i] = p;

  return matrix;
}


void freeMatrix( double **matrix)
{
  free( *matrix);
  free( matrix);
  return;
}
