/*
 * Testprogramm dynamisch vereinbarte Vektoren.
 * myvektor.c:
 * Anlegen und Freigeben eines Vektors,
 * Schreiben und Lesen von Vektorkomponenten
 * unter Verwendung des Moduls vektor.h/vektor.c
 */

# include <stdio.h>
# include "vektor.h"

int main()
{
  double *V; unsigned int i, n;

  printf( "Eingabe Komponentenzahl n\n");
  printf( "n=");
  scanf( "%d", &n);

  V = initVektor( n);       /* Anlegen eines Vektors */
                            /* Schreiben des Vektors */
  printf( "Schreiben:\n");
  for( i = 0; i < n; i++) V[ i] = i;
                                /* Lesen des Vektors */
  printf( "Lesen:\n");
  for( i = 0; i < n; i++)
    printf( "V[ %d] = %f\n", i, V[ i]);
  freeVektor( V);           /* Freigeben des Vektors */

  return 0;
}
