/*
 * Formatbeschreiber
 */

#include <stdio.h>

int main()
{
  char S[] = "String"; int I = 1234; float G = 9.87;

  printf( "%s\n", S);                /* String       */
  printf( "%3s\n", S);               /* String       */
  printf( "%.3s\n", S);              /* Str          */
  printf( "%8s\n", S);               /* __String     */
  printf( "%8.3s\n", S);             /* _____Str     */
  printf( "%-8s\n", S);              /* String__     */
  printf( "%-8.3s\n", S);            /* Str_____     */

  printf( "%d\n", I);                /* 1234         */
  printf( "%2d\n", I);               /* 1234         */
  printf( "%6d\n", I);               /* __1234       */
  printf( "%.7d\n", I);              /* 0001234      */
  printf( "%6.2d\n", I);             /* __1234       */
  printf( "%-6d\n", I);              /* 1234__       */
  printf( "%#x\n", I);               /* 0x4d2        */

  printf( "%f\n", G);                /* 9.870000     */
  printf( "%e\n", G);                /* 9.870000e+00 */
  printf( "%g\n", G);                /* 9.87         */
  printf( "%10.1f\n", G);            /* _______9.9   */
  printf( "%+5.0E\n", G);            /* +1E+01       */

  return;
}
