/*
 * Testprogramm
 * Zugriff auf Matrizen ueber Zeiger auf Zeiger.
 * mymatrix.c: Anlegen und Freigeben einer Matrix,
 * Schreiben und Lesen von Matrixelementen
 * unter Verwendung des Moduls matrix.h/matrix.c
 */

# include <stdio.h>
# include "matrix.h"

int main()
{
  double **M; unsigned int m, n;

  printf( "Eingabe Zeilenzahl n, Spaltenzahl m\n");
  printf( "n="); scanf( "%d", &n);
  printf( "m="); scanf( "%d", &m);

  M = initMatrix( n, m);     /* Anlegen einer Matrix */

                          /* Schreiben in die Matrix */
  printf( "Schreiben: M[ 1, 2] = 3\n"); M[ 1][ 2] = 3;

                             /* Lesen aus der Matrix */
  printf( "Lesen:     M[ 1, 2] = %f\n",
                                   ( double)M[ 1][ 2]);

  freeMatrix( M);          /* Freigeben einer Matrix */

  return 0;
}
