/*
 * Zahlwortbildung
 * Beispiel fuer Felder mit Zeichenkettenkonstanten
 */

# include <stdio.h>

int main()
{ int n;
  const char hunderter[ 10][ 7] =
  { "", "Ein", "Zwei", "Drei", "Vier", "Fuenf",
    "Sechs", "Sieben", "Acht", "Neun"};

  const char zehner[ 10][ 9] =
  { "", "zehn", "zwanzig", "dreiszig", "vierzig",
    "fuenfzig", "sechszig", "siebzig", "achtzig",
    "neunzig"};

  const char einer[ 10][ 7] =
  { "", "ein", "zwei", "drei", "vier", "fuenf",
    "sechs", "sieben", "acht", "neun"};

  printf( "Eingabe einer Zahl zwischen 100 und 999: ");
  do
  {
    scanf( " %d", &n);
  } while(( n < 99) || ( n > 1000));

  printf( hunderter[ n / 100]);         /* Hunderter */
  printf( "hundert");

  switch( n % 100)                           /* Rest */
  {
    case  1: printf( "eins"); break;
                             /* Unregelmeaszigkeiten */
    case 11: printf( "elf"); break;
    case 12: printf( "zwoelf"); break;
    case 16: printf( "sechzehn"); break;
    case 17: printf( "siebzehn"); break;
    default: printf( einer[ n % 10]);       /* Einer */
             if( n % 100 / 10 > 1) printf( "und");
             printf( zehner[ n % 100 / 10]);/* Zehner*/
  }
  printf( "\n");

  return 0;
}
