/*
 * Sortieren von Punkten mit Listen von Strukturen
 */
# include <stdio.h>
# include "liste.h"

int main()         /* Anfangsadresse ist NULL-Zeiger */
{
  struct punkt *anfang = NULL, *a, p;

  printf( "Polarkoordinaten (Abstand/Winkel):\n");
  printf( "Schliessen Sie mit ^d ab!\n");
  printf( "\n");

/* Einlesen der Elemente der geschachtelten Struktur */
  while( scanf( "%f%f", &p.pol.rho, &p.pol.phi) != EOF)
  {
    p.kar = kartesisch( p.pol);
    sortier_ein( &anfang, p);
  }
  printf( "sortiert (polar/kartesisch):\n");
  for ( a = anfang; a != NULL; a = a -> nf)
  {
    printf( "(%f,%f) ", a -> pol.rho, a -> pol.phi);
    printf( "(%f,%f)\n", a -> kar.x, a -> kar.y);
  }

  return 0;
}
