/*
 * Fakultaet iterativ und rekursiv
 */

# include <stdio.h>

/*
 * Iterative Berechnung der Fakultaet n!
 * Eingabewert: n
 * Rueckgabewert: n!
 */
unsigned long itFak( int);

/*
 * Rekursive Berechnung der Fakultaet n!
 * Eingabewert: n
 * Rueckgabewert: n!
 */
unsigned long rekFak( int);

int main()
{
  int n;
  do
  {
    printf( "Fakultaetsberechnung\n");
    printf( "Eingabe (0 fuer ENDE) n = ");
    scanf( "%d", &n);                     /* Eingabe */

/*                             kontrollierte Eingabe */
/*                   13! = 6'227'020'800 > ULONG_MAX 
    do
    { 
      scanf( "%d", &n);
    } while( n < 0 || n > 12);
*/
    if( n == 0) break;

    printf( "%d! = %lu\n", n, itFak( n));
    printf( "%d! = %lu\n", n, rekFak( n));
  } while( 1);
  return 0;
}

/*
 * Fakultaet iterativ
 */
unsigned long itFak( int n)
{
  int i;
  unsigned long fak = 1;

  for( i = 2; i <= n; i++) fak *= i;

/*  for( i = 2; i <= n; fak *= i++); */
/*  for( ; n > 1; fak *= n--); */

  return fak;
}

/*
 * Fakultaet rekursiv
 */
unsigned long rekFak( int n)
{
  if ( n) return n * rekFak( n - 1);
  return 1;
}
